Name:		perl-Math-Calc-Units
Version:	1.07
Release:    1%{?dist}
Summary:	Human-readable unit-aware calculator
License:	GPL-2.0-only OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Math-Calc-Units
Source0:	https://cpan.metacpan.org/modules/by-module/Math/Math-Calc-Units-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(Time::Local)
BuildRequires:	perl(vars)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(warnings)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.00

%global __provides_exclude ^perl\\(Parse::Yapp::Driver\\)

%description
Math::Calc::Units is a simple calculator that keeps track of units. It
currently handles combinations of byte sizes and duration only, although
adding any other multiplicative types is easy. Any unknown type is treated
as a unique user type (with some effort to map English plurals to their
singular forms).

%prep
%setup -q -n Math-Calc-Units-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

rm %{buildroot}%{perl_vendorlib}/Math/Calc/Units/Grammar.y

%check
make test

%files
%license Artistic.html COPYING LICENSE
%doc Changes README
%{_bindir}/ucalc
%{perl_vendorlib}/Math/
%{_mandir}/man3/Math::Calc::Units.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.07-1
- initial build
